Bug 844111 - [abrt] liferea-1.8.6-1.fc17: Process /usr/bin/liferea was killed by signal 6 (SIGABRT)
[abrt] liferea-1.8.6-1.fc17: Process /usr/bin/liferea was killed by signal 6 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
abrt_hash:6d5716e014685ebfc7e3b9c7ef1...
:
: 831739 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 20:24 EDT by Michael Windham
Modified: 2013-08-01 06:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.16 KB, text/plain)
2012-07-28 20:24 EDT, Michael Windham
no flags Details
File: maps (69.43 KB, text/plain)
2012-07-28 20:24 EDT, Michael Windham
no flags Details
File: dso_list (21.43 KB, text/plain)
2012-07-28 20:24 EDT, Michael Windham
no flags Details
File: build_ids (9.01 KB, text/plain)
2012-07-28 20:24 EDT, Michael Windham
no flags Details

  None (edit)
Description Michael Windham 2012-07-28 20:24:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        liferea
comment:        I clicked on an HTTP link in a pod cast article in Liferea when the problem ocurred.  The feed was Free Music Archives and the article was: Wed 3:16 PM Jonah Parzen-Johnson: Live at WFMU on Miniature Minataurs etc.  When you click on the article's attachment butoon you are taken to the HTTP link where the problem occured.
executable:     /usr/bin/liferea
kernel:         3.4.6-2.fc17.i686.PAE
pid:            4886
pwd:            /home/mlw
time:           Sat 28 Jul 2012 08:11:03 PM EDT
uid:            1000
username:       mlw

backtrace:      Text file, 47271 bytes
build_ids:      Text file, 9225 bytes
dso_list:       Text file, 21942 bytes
maps:           Text file, 71094 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mlw/4

core_backtrace:
:6ec8fa6f00d61b523a0dc24e41280b5f05c31d11 0x424 __kernel_vsyscall linux-gate.so.1 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x2e93f raise libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x30293 abort libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x6c795 __libc_message libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x74119 _int_free libc.so.6 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x4d22c - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x4d3e8 g_free libglib-2.0.so.0 -
:bfc2d0363cd0d18181d30cea295afec8e68ff2a7 0x4c61d - [exe] -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x1532c1 - libgtk-x11-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x1ea3d - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26cf1 g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x281a02 gtk_tree_view_row_activated libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x28808c - libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x150fd2 - libgtk-x11-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xbbbe - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x1e6e8 - libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26a5e g_signal_emit_valist libgobject-2.0.so.0 -
:c732867aa1c714d3919ece0c874c6f044380e85d 0x26e74 g_signal_emit libgobject-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x2a6e93 - libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14ea64 gtk_propagate_event libgtk-x11-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14ee10 gtk_main_do_event libgtk-x11-2.0.so.0 -
:a80295c914b60820f63621a6cd6bb1bda69a9ade 0x5ec79 - libgdk-x11-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x46fbb g_main_context_dispatch libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47360 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x477c3 g_main_loop_run libglib-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14db30 gtk_main libgtk-x11-2.0.so.0 -
:bfc2d0363cd0d18181d30cea295afec8e68ff2a7 0x14571 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:HARDWARE_PLATFORM=i386
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99da32c5e3cd4709361e1b8200000008-1343516053.371720-346091573
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mlw/keyring-NHhfDP
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mlw
:USERNAME=
:MAIL=/var/spool/mail/mlw
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mlw/.local/bin:/home/mlw/bin:/home/mlw/usr/local/bin:/home/mlw/usr/bin:/home/mlw/opt/avg/av/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mlw
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1374
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mlw
:SHLVL=1
:LOGNAME=mlw
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8Ct0zFzoiA,guid=3c7d4d7f33813ecdaaf230440000010f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mlw
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mlw-dUF5mT/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1381,unix/unix:/tmp/.ICE-unix/1381
:SSH_AUTH_SOCK=/run/user/mlw/keyring-NHhfDP/ssh
:GPG_AGENT_INFO=/run/user/mlw/keyring-NHhfDP/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-liferea.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4886
:DESKTOP_STARTUP_ID=gnome-shell-1603-localhost.localdomain-liferea-7_TIME4821895

gconf_subtree:
: social-bm-site = Blinklist
: browser_id = default
: startup_feed_action = 0
: last-window-maximized = true
: browser = mozilla %s
: last-itemlist-mode = false
: enclosure-download-tool = 0
: disable-javascript = false
: last-hpane-pos = 199
: toolbar_style = 
: maxitemcount = 100
: last-window-width = 0
: trayicon = true
: browse-inside-application = true
: last-window-height = 0
: folder-display-mode = 1
: trayicon-new-count = true
: update-thread-concurrency = 2
: show-popup-windows = false
: dont-minimize-to-tray = false
: folder-display-hide-read = true
: reduced-feedlist = false
: enable-plugins = true
: last-vpane-pos = 426
: last-wpane-pos = 100
: browse-key-setting = 1
: browser-module = liblihtmlm.so
: disable-toolbar = false
: enclosure-download-path = 
: last-window-x = 0
: last-window-y = 0
: default-update-interval = 0
: last-zoomlevel = 100
: popup-placement = 0
: enable-fetch-retries = true
: browser_place = 0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31881                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31881                31881                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mlw/.xsession-errors
:pos:	1309038
:flags:	02002
:2:/home/mlw/.xsession-errors
:pos:	1309038
:flags:	02002
:3:socket:[158616]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[159318]
:pos:	0
:flags:	02004002
:6:socket:[159319]
:pos:	0
:flags:	02004002
:7:/home/mlw/.liferea_1.8/liferea.db
:pos:	1076224
:flags:	02100002
:8:/home/mlw/.liferea_1.8/liferea.db-wal
:pos:	11560
:flags:	02100002
:9:/home/mlw/.liferea_1.8/liferea.db-shm
:pos:	0
:flags:	0100002
:10:/var/tmp/etilqs_ErdfFBTvACqtpA5 (deleted)
:pos:	28
:flags:	02100002
:11:/var/tmp/etilqs_Z2tTJEOvAHnVmzb (deleted)
:pos:	2056
:flags:	02500002
:12:/var/tmp/etilqs_9if4J7aXsCFsgja (deleted)
:pos:	2048
:flags:	02500002
:13:socket:[159332]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:socket:[158639]
:pos:	0
:flags:	02004002
:17:socket:[159336]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:/home/mlw/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002
:21:socket:[159343]
:pos:	0
:flags:	02000002
:22:socket:[160877]
:pos:	0
:flags:	02004002
:23:socket:[160880]
:pos:	0
:flags:	02004002
:24:socket:[160130]
:pos:	0
:flags:	02004002
:25:socket:[160132]
:pos:	0
:flags:	02004002
:26:socket:[160878]
:pos:	0
:flags:	02004002
:27:socket:[160948]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 3956ae29-301a-41c6-a5b9-0a5fc5746a88
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5984.82
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2991
:System Memory: 4001
:System Swap: 0
:Vendor: Shuttle Inc
:System: SG41 V20
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4759:16385) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4523:17280:4759:16385) pci, sky2, ETHERNET, 88E8057 PCI-E Gigabit Ethernet Controller
:(32902:11826:4759:16385) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:11827:4759:16385) pci, None, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10192:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4759:16385) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4759:16385) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:4759:16385) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4759:16385) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:4759:16385) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:4759:16385) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 63921659 57702320 54502308 16007168 15499058 15499058
:

var_log_messages:
:Jul 26 16:29:13 localhost yum[26070]: Installed: 1:liferea-1.8.6-1.fc17.i686
:Jul 28 20:11:04 localhost abrt[4956]: Saved core dump of pid 4886 (/usr/bin/liferea) to /var/spool/abrt/ccpp-2012-07-28-20:11:03-4886 (181227520 bytes)

xsession_errors:
:*** glibc detected *** liferea: free(): invalid pointer: 0x086682fa ***
:liferea[0x809461d]
:liferea(main+0x7d1)[0x805c571]
:liferea[0x805c625]
:08048000-080ba000 r-xp 00000000 08:03 12466904   /usr/bin/liferea
:080ba000-080bb000 r--p 00071000 08:03 12466904   /usr/bin/liferea
:080bb000-080c4000 rw-p 00072000 08:03 12466904   /usr/bin/liferea
:b755c000-b7564000 rw-s 00000000 08:03 11668084   /home/mlw/.liferea_1.8/liferea.db-shm
Comment 1 Michael Windham 2012-07-28 20:24:39 EDT
Created attachment 600957 [details]
File: backtrace
Comment 2 Michael Windham 2012-07-28 20:24:40 EDT
Created attachment 600958 [details]
File: maps
Comment 3 Michael Windham 2012-07-28 20:24:42 EDT
Created attachment 600959 [details]
File: dso_list
Comment 4 Michael Windham 2012-07-28 20:24:44 EDT
Created attachment 600960 [details]
File: build_ids
Comment 5 Yanko Kaneti 2012-09-14 08:51:37 EDT
*** Bug 831739 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-07-03 23:26:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 06:58:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.